Zimbra offers Open Source email server software and shared calendar for Linux and the Mac
 
Go Back   Zimbra - Forums > Zimbra Collaboration Suite > Administrators

Welcome to the Zimbra - Forums!
Welcome, if you would like to post a comment please register. We also encourage you to explore all things Zimbra with our team and members of the community.

Reply
 
LinkBack Thread Tools Display Modes
  #31 (permalink)  
Old 12-06-2007, 03:48 AM
Junior Member
 
Posts: 7
Default

Do you have to do every single step, including the LDAP stuff and beyond before it works? as I only got to this step: 8) Restart Zimbra postfix (as zimbra user) and then I tested to make sure it was still working, which it wasnt. Unsure if i have to do the things afterwards in order for it to work?

I did try the: zmprov gd domain.com | grep Signature and got:

ERROR: account.NO_SUCH_DOMAIN (no such domain: domain.com)

but... i havent got to that step yet, so perhaps from an old installation or similar.

regarding the master.cf, what should I be looking for inparticular? The only changes that were made were the ones outlined in the guide.

And heres my permission structure:

drwxr-xr-x 2 zimbra zimbra 6 2007-12-03 09:15 disclaimers
-rw-r--r-- 1 zimbra zimbra 1689 2007-12-03 10:15 main.cf
-rw-r--r-- 1 root postfix 5116 2007-12-03 10:14 master.cf

Cheers for the help so far
Reply With Quote
  #32 (permalink)  
Old 12-06-2007, 12:56 PM
Project Contributor
 
Posts: 65
Default

Of course you have to do every single setp, including LDAP changes, only for use it with the Admin Extension.

If you want only a domain disclaimer in postfix (without Admin Extension), you can try this howto:

Adding a disclaimer (altermime) or footer - Zimbra :: Wiki


This


Note: zmprov gd domain.com <- is your domain
To get all domains use: zmprov gad
__________________
Daniel Eugenin
http://www.it-linux.cl
Reply With Quote
  #33 (permalink)  
Old 12-13-2007, 03:02 AM
Junior Member
 
Posts: 7
Default

Quote:
Originally Posted by deugenin View Post
Of course you have to do every single setp, including LDAP changes, only for use it with the Admin Extension.

If you want only a domain disclaimer in postfix (without Admin Extension), you can try this howto:

Adding a disclaimer (altermime) or footer - Zimbra :: Wiki


This


Note: zmprov gd domain.com <- is your domain
To get all domains use: zmprov gad
I know you have to do the whole thing, what I meant was, do you need to complete every single setup in order to remove the problems I was having.

Reason being, the step I got to was giving me errors and not working. I didnt want to go further and make the error worse, unless it was supposed to give errors like that until further stages.

Cheers
Reply With Quote
  #34 (permalink)  
Old 12-14-2007, 09:20 AM
Project Contributor
 
Posts: 65
Default

OK, i updated the wiki order... now, there are 4 big steps:

Altermime
-------------
From 1 to 5, after 5, you can probe the command: "altermime --help"
If execute without problems, then it's OK.

LDAP
-------
From 6 to 8, you can probe with number 9 says....

Postfix and scripts
----------------------
From 9 to 19

Admin UI
----------
From 20 and admin extension deploy...
__________________
Daniel Eugenin
http://www.it-linux.cl
Reply With Quote
  #35 (permalink)  
Old 12-21-2007, 03:15 PM
Junior Member
 
Posts: 5
Default

Does this only apply to Network Edition?

Everything seems to work but I can't save in the Admin UI, however it I edit via zmprov it shows up in the Admin UI for the normal (plain text) signature but not HTML. In any case mail is going in/out just not getting the disclaimer/signature.
Reply With Quote
  #36 (permalink)  
Old 12-24-2007, 05:27 AM
Project Contributor
 
Posts: 65
Default

This is not only apply to Network Edition.
If you can't save in the Admin UI, maybe you didn't replace your zimbra Admin UI files. (number 20).

See this bug:
Bug 22108 - Cannot add properties to zimbraDomain object in administration console

If mail is going in/out just not getting the disclaimer signature, check for /opt/zimbra/postfix/conf/disclaimers/yourdomain.com and yourdomain.com.html
__________________
Daniel Eugenin
http://www.it-linux.cl
Reply With Quote
  #37 (permalink)  
Old 12-27-2007, 12:08 PM
Junior Member
 
Posts: 5
Default Attach images

Can you attach images to the signature? I assume with HTML you can link to it, but what about plain text?
Reply With Quote
  #38 (permalink)  
Old 12-27-2007, 12:21 PM
Project Contributor
 
Posts: 65
Default

Quote:
Originally Posted by tenikiwon View Post
Can you attach images to the signature? I assume with HTML you can link to it, but what about plain text?
Obviously you can link images to the HTML signature, but that is impossible in plain text signature...
__________________
Daniel Eugenin
http://www.it-linux.cl
Reply With Quote
  #39 (permalink)  
Old 06-09-2009, 02:48 PM
New Member
 
Posts: 3
Default Modify your "disclaimer" script for check only "From: @your_domain.com"

Quote:
In that case, you must to set "dflit" filter to all incomming and outgoing messages, and need to modify your "disclaimer" script for check only "From: @your_domain.com" and set an disclaimer for this email... external emails "From: @another_domains.com" don't set an disclaimer in your "disclaimer" script...
__________________
Daniel Eugenin
IT Linux: Professional OpenSource
Can you tell me how to do that.
My "disclaimer" script is:
Code:
  #!/bin/sh
  INSPECT_DIR=/var/spool/filter
  SENDMAIL=/opt/zimbra/postfix/sbin/sendmail
  FOLDER_DISCLAIMER=/opt/zimbra/postfix/conf
  
  # Exit codes from <sy***its.h>
  EX_TEMPFAIL=75
  EX_UNAVAILABLE=69
  
  # Clean up when done or when aborting.
  trap "rm -f in.$$" 0 1 2 3 15
  
  # Start processing.
  cd $INSPECT_DIR || { echo $INSPECT_DIR does not exist; exit $EX_TEMPFAIL; }
  
  TEXT_DISCLAIMER=`grep "[a|A-z|Z]" ${FOLDER_DISCLAIMER}/disclaimer.txt | grep -v "_" | tail -2 | head -1`
  
  cat > in.$$ || { echo Cannot save mail to file; exit $EX_TEMPFAIL; }
  
  nohup grep "${TEXT_DISCLAIMER}" in.$$ > /dev/null 2>&1
  
  if [ ! "$?" = 0 ]; then
  /usr/bin/altermime --input=in.$$ --disclaimer=${FOLDER_DISCLAIMER}/disclaimer.txt --disclaimer-html=${FOLDER_DISCLAIMER}/disclaimer.html \
  --xheader="X-Copyrighted-Material: Please visit www.company.com/privacy.htm" || { echo Message content rejected; exit $EX_UNAVAILABLE; }
  fi
  
  $SENDMAIL -i "$@" < in.$$
  
  exit $?
Thanks.
Reply With Quote
  #40 (permalink)  
Old 06-10-2009, 08:45 AM
New Member
 
Posts: 3
Default Solved...

Thanks anyway...but i solve the problem.
Here is my "disclaimer" script:
Code:
#!/bin/sh
INSPECT_DIR=/var/spool/filter
SENDMAIL=/opt/zimbra/postfix/sbin/sendmail
FOLDER_DISCLAIMER=/opt/zimbra/postfix/conf

# Exit codes from <sy***its.h>
EX_TEMPFAIL=75
EX_UNAVAILABLE=69

# Clean up when done or when aborting.
trap "rm -f in.$$" 0 1 2 3 15

# Start processing.
cd $INSPECT_DIR || { echo $INSPECT_DIR does not exist; exit $EX_TEMPFAIL; }

TEXT_DISCLAIMER=`grep "[a|A-z|Z]" ${FOLDER_DISCLAIMER}/disclaimer.txt | grep -v "_" | tail -2 | head -1`

cat > in.$$ || { echo Cannot save mail to file; exit $EX_TEMPFAIL; }

nohup grep "${TEXT_DISCLAIMER}" in.$$ > /dev/null 2>&1

# Extract SENDTO Address(ex. "user@other_domain.com")
to_address=`grep -m 1 "To:" in.$$ | cut -d "<" -f 2 | cut -d ">" -f 1`

# Extract from SENDTO address only DOMAIN name(ex. "other_domain.com")
to_dom=`echo $to_address |cut -d "@" -f 2`

our_domain="YOURDOMAIN.COM"

# If OTHER_DOMAIN.COM(SENDTO domain) is not YOURDOMAIN.COM add disclaimer
# means that add disclaimer only for outgoing mail
# for internal mail you will not have disclaimer
if [ $to_dom != $our_domain ]; then
        /usr/bin/altermime --input=in.$$ \
                --disclaimer=${FOLDER_DISCLAIMER}/disclaimer.txt \
                --disclaimer-html=${FOLDER_DISCLAIMER}/disclaimer.html \
                --xheader="X-Copyrighted-Material: Please visit http://www.company.com/privacy.htm" || \
                { echo Message content rejected; exit $EX_UNAVAILABLE; }
fi

$SENDMAIL -i "$@" < in.$$

exit $?
You need to follow this article to get things right:
Adding a disclaimer (altermime) or footer - Zimbra :: Wiki excluding option 7a.
It's work only with one IP address.

Last edited by maremester : 06-10-2009 at 08:51 AM.
Reply With Quote
Reply


Thread Tools
Display Modes


Similar Threads

Why Join?

Registering let's you ask questions, makes it easier to search, displays any files attached to posts, and notifies you about replies.

Zimbrablog.com




 

Search Engine Optimization by vBSEO 3.1.0